mbed TLS v2.23.0: mbedtls_ctr_drbg_context Struct Reference

mbed TLS v2.23.0

Data Fields
mbedtls_ctr_drbg_context Struct Reference

The CTR_DRBG context structure. More...

`#include <ctr_drbg.h>`

Collaboration diagram for mbedtls_ctr_drbg_context:
[legend]

## Data Fields
unsigned char | counter [16]
int | reseed_counter
int | prediction_resistance
size_t | entropy_len
int | reseed_interval
mbedtls_aes_context | aes_ctx
int(* | f_entropy )(void *, unsigned char *, size_t)
void * | p_entropy

## Detailed Description

The CTR_DRBG context structure.

Definition at line 171 of file ctr_drbg.h.

## Field Documentation

## ◆ aes_ctx

mbedtls_aes_context mbedtls_ctr_drbg_context::aes_ctx

The AES context.

Definition at line 194 of file ctr_drbg.h.

## ◆ counter

unsigned char mbedtls_ctr_drbg_context::counter[16]

The counter (V).

Definition at line 173 of file ctr_drbg.h.

## ◆ entropy_len

size_t mbedtls_ctr_drbg_context::entropy_len

The amount of entropy grabbed on each seed or reseed operation, in bytes.

Definition at line 188 of file ctr_drbg.h.

## ◆ f_entropy

int(* mbedtls_ctr_drbg_context::f_entropy) (void *, unsigned char *, size_t)

The entropy callback function.

Definition at line 199 of file ctr_drbg.h.

## ◆ p_entropy

void* mbedtls_ctr_drbg_context::p_entropy

The context for the entropy function.

Definition at line 202 of file ctr_drbg.h.

## ◆ prediction_resistance

int mbedtls_ctr_drbg_context::prediction_resistance

This determines whether prediction resistance is enabled, that is whether to systematically reseed before each random generation.

Definition at line 184 of file ctr_drbg.h.

## ◆ reseed_counter

int mbedtls_ctr_drbg_context::reseed_counter

The reseed counter. This is the number of requests that have been made since the last (re)seeding, minus one. Before the initial seeding, this field contains the amount of entropy in bytes to use as a nonce for the initial seeding, or -1 if no nonce length has been explicitly set (see mbedtls_ctr_drbg_set_nonce_len()).

Definition at line 174 of file ctr_drbg.h.

## ◆ reseed_interval

int mbedtls_ctr_drbg_context::reseed_interval

The reseed interval. This is the maximum number of requests that can be made between reseedings.

Definition at line 190 of file ctr_drbg.h.

The documentation for this struct was generated from the following file:

- ctr_drbg.h